Summary:   Client and daemon for playing streaming audio
Name:      rplay
Version:   3.3.1
Release:   1
URL:       http://rplay.doit.org
Source0:   ftp://rplay.doit.org/pub/rplay/%{name}-%{version}.tar.gz
Source1:   rplayd.logrotate
Source2:   rplayd.init
Source3:   rplayd.sysconfig
Patch0:    rplay-3.3.1-log.patch
Patch1:    rplay-3.3.1-man.patch
Copyright: GPL
Group:     Networking/Daemons
Prereq:    /sbin/chkconfig
BuildRoot: /tmp/%{name}-%{version}-root

%description
rplay is a flexible network audio system that allows sounds to be
played to and from local and remote Unix systems.  Sounds can be
played with or without sending audio data over the network using
either UDP or TCP.  rplay audio servers can be configured to share
sound files with each other.

%prep
%setup -q

%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
./configure --prefix=/usr \
            --sysconfdir=/etc/rplay
make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/logrotate.d
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT/etc/rplay
install -d $RPM_BUILD_ROOT/etc/sysconfig

make prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc/rplay install

install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/rplayd
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/rplayd
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/rplayd
install -m644 etc/rplay.* $RPM_BUILD_ROOT/etc/rplay

gzip -9nf $RPM_BUILD_ROOT/usr/info/*.info
ln -sf rplayd $RPM_BUILD_ROOT/usr/sbin/in.rplayd

%post
if [ ! -f /var/log/rplay.log ]; then
   touch /var/log/rplay.log
fi
/sbin/chkconfig --add rplayd

#if [ `grep rplay /etc/inetd.conf | wc -l` = 0 ] ; then
#   echo "rplay	dgram	udp	wait	root	/usr/sbin/in.rplayd	in.rplayd --inetd --log-level=3 -t 1" >> /etc/inetd.conf
#   if [ `grep rplay /etc/services | wc -l` = 0 ] ; then
#      echo "rplay 5555/udp" >> /etc/services
#      echo "rplay 5556/tcp" >> /etc/services
#   fi
#      if [ -f /var/run/inetd.pid ] ; then
#         kill -HUP `cat /var/run/inetd.pid`
#      fi
#fi

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/rplayd ]; then
      /etc/rc.d/init.d/rplayd stop
   fi
      /sbin/chkconfig --del rplayd
fi

#%postun
#if [ $1 = 0 ]; then
#   grep -v rplay /etc/inetd.conf | grep -v /bin/sh > /etc/inetd.conf.new
#   mv /etc/inetd.conf.new /etc/inetd.conf
#   grep -v rplay /etc/services | grep -v /bin/sh > /etc/services.new
#   mv /etc/services.new /etc/services
#      if [ -f /var/run/inetd.pid ] ; then
#         kill -HUP `cat /var/run/inetd.pid`
#      fi
#fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog NEWS README README.linux TODO
%defattr(-,root,root)
%config /etc/logrotate.d/rplayd
%config /etc/rc.d/init.d/rplayd
%config /etc/sysconfig/rplayd
%dir /etc/rplay
%config /etc/rplay/*
/usr/bin/*
%attr(644,root,root) /usr/include/*
/usr/info/*
/usr/lib/*
%attr(-,root,man) /usr/man/*/*
/usr/sbin/*

%changelog
* Sat Oct 17 1998 Arne Coucheron <arneco@online.no>
  [3.3.1-1]

* Sat Jul 04 1998 Arne Coucheron <arneco@online.no>
  [3.3.0-2]
- Ooops, fixed a bug in %preun

* Thu Jul 02 1998 Arne Coucheron <arneco@online.no>
  [3.3.0-1]
- first release
- I don't think the inetd support of rplay is working very good, so I
  am using the init.d solution for now. I'm leaving the stuff for making it
  work with inetd in, so it should be fairly easy to change the package
  once rplay works ok with inetd